module Dingo.Internal.EventTypes
       ( Event(..)
       ) where

import Text.Julius (ToJavascript(..))

-- | Event types.
data Event = OnClick
           | OnDblClick
           | OnChange
             deriving (Show)

-- | Convert an event to the Javascript identifer of the corresponding
-- jQuery function.
instance ToJavascript Event where
  toJavascript OnClick = "click"
  toJavascript OnChange = "change"
  toJavascript OnDblClick = "dblclick"

