module Dingo.Internal.ResourceBundle.Boot
       ( bootResourceBundles
       ) where

import Dingo.ResourceBundle

jqueryDirectory :: ResourceDirectory
jqueryDirectory = $(embedDir "bundles/jquery")

jqueryResourceBundle :: ResourceBundle
jqueryResourceBundle = makeResourceBundle jqueryDirectory

json2Directory :: ResourceDirectory
json2Directory = $(embedDir "bundles/json2")

json2ResourceBundle :: ResourceBundle
json2ResourceBundle = makeResourceBundle json2Directory

bootstrapDirectory :: ResourceDirectory
bootstrapDirectory = $(embedDir "bundles/_bootstrap")

bootstrapResourceBundle :: ResourceBundle
bootstrapResourceBundle = makeResourceBundle bootstrapDirectory

bootResourceBundles :: [ResourceBundle]
bootResourceBundles =
  [ json2ResourceBundle
  , jqueryResourceBundle
  , bootstrapResourceBundle
  ]
